org.apache.hadoop.yarn.api.records.impl.pb

## Class ResourceOptionPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.ResourceOption
  - - org.apache.hadoop.yarn.api.records.impl.pb.ResourceOptionPBImpl

-     public class ResourceOptionPBImpl
      extends org.apache.hadoop.yarn.api.records.ResourceOption

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.api.records.ResourceOption

      `OVER_COMMIT_TIMEOUT_MILLIS_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceOptionPBImpl()`
    `ResourceOptionPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ResourceOptionProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `build()`
    `boolean` | `equals(Object other)`
    `int` | `getOverCommitTimeout()`
    `org.apache.hadoop.yarn.proto.YarnProtos.ResourceOptionProto` | `getProto()`
    `org.apache.hadoop.yarn.api.records.Resource` | `getResource()`
    `int` | `hashCode()`
    `protected void` | `setOverCommitTimeout(int overCommitTimeout)`
    `protected void` | `setResource(org.apache.hadoop.yarn.api.records.Resource resource)`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.ResourceOption

      `newInstance, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceOptionPBImpl

          public ResourceOptionPBImpl()

    - #### ResourceOptionPBImpl

          public ResourceOptionPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ResourceOptionProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.ResourceOptionProto getProto()

    - #### getResource

          public org.apache.hadoop.yarn.api.records.Resource getResource()

      Specified by:
        `getResource` in class `org.apache.hadoop.yarn.api.records.ResourceOption`

    - #### setResource

          protected void setResource(org.apache.hadoop.yarn.api.records.Resource resource)

      Specified by:
        `setResource` in class `org.apache.hadoop.yarn.api.records.ResourceOption`

    - #### getOverCommitTimeout

          public int getOverCommitTimeout()

      Specified by:
        `getOverCommitTimeout` in class `org.apache.hadoop.yarn.api.records.ResourceOption`

    - #### setOverCommitTimeout

          protected void setOverCommitTimeout(int overCommitTimeout)

      Specified by:
        `setOverCommitTimeout` in class `org.apache.hadoop.yarn.api.records.ResourceOption`

    - #### build

          protected void build()

      Specified by:
        `build` in class `org.apache.hadoop.yarn.api.records.ResourceOption`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.